summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:14:45 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:25:03 +0100
commit576fc933c81aa6e526d87290af95e8e898e70ecb (patch)
tree73f9a202bcb454043dbb6b731d9b56ed4c5f49eb /kde-apps/ktp-desktop-applets
parentdev-haskell/stack-bin: bump up to 1.6.1 (diff)
downloadgentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.gz
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.bz2
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.zip
kde-apps: Add KDE Applications 17.12.0
Package-Manager: Portage-2.3.18, Repoman-2.3.6
Diffstat (limited to 'kde-apps/ktp-desktop-applets')
-rw-r--r--kde-apps/ktp-desktop-applets/Manifest1
-rw-r--r--kde-apps/ktp-desktop-applets/ktp-desktop-applets-17.12.0.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/kde-apps/ktp-desktop-applets/Manifest b/kde-apps/ktp-desktop-applets/Manifest
index be825a347db..0f80cca73fd 100644
--- a/kde-apps/ktp-desktop-applets/Manifest
+++ b/kde-apps/ktp-desktop-applets/Manifest
@@ -1 +1,2 @@
DIST ktp-desktop-applets-17.08.3.tar.xz 43184 BLAKE2B 9d88c4b3ff03f4415e6c49fab58ffdaf35ecdd36a020ebe781e854a7b1b868605d3fe7156e2778fc5c45a2b9705c4353c8609490cc6f51843bf72fc6a0b95fae SHA512 743c6406a8d9d9ca0739e0a8072a6d9e6541e1702b09c53ae05b18feb8209c4b18ab4a9577537b60c0276e49d959cfda2f071ece099b087e38d9a011cc0d52e9
+DIST ktp-desktop-applets-17.12.0.tar.xz 43196 BLAKE2B ab669036fd3afd73646a1ab47b76dff3eec1583c417aebde8350c54ff93cd1c98c3a5743536571194c2ee8d28a8c321823d54f9ec70908a4bbea47a03806732c SHA512 9658ffd283f64d2ef78be923d0e1e16bfd3db05c4e511559ebaf96d21501dd5ca6e32e2992b2a75adb4584fbfe98dc40d875231a8c8887c3448675cc10372a0e
diff --git a/kde-apps/ktp-desktop-applets/ktp-desktop-applets-17.12.0.ebuild b/kde-apps/ktp-desktop-applets/ktp-desktop-applets-17.12.0.ebuild
new file mode 100644
index 00000000000..27185812020
--- /dev/null
+++ b/kde-apps/ktp-desktop-applets/ktp-desktop-applets-17.12.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="KDE Telepathy contact, presence and chat Plasma applets"
+HOMEPAGE="https://community.kde.org/Real-Time_Communication_and_Collaboration"
+
+LICENSE="|| ( GPL-2 GPL-3 ) GPL-2+ LGPL-2.1+"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ $(add_frameworks_dep kdeclarative)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep plasma)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+"
+DEPEND="${RDEPEND}
+ $(add_frameworks_dep ki18n)
+"